#include <iostream>
#include <stdio.h>
#include <math.h>
using namespace std;

int poredi(int a, int b,int *k)
{
    if(a>b)
        return a;
    if(a<b)
        return b;
    *k=2;
    return a+a*10;
}

int main()
{
    int k;
    int x,y;
    scanf("%d%d",&x,&y);
    int n=0;

    int i;
    for( i=1;x>0&&y>0;x/=10,y/=10,i=i*10)
    {
        k=1;
        n=n+i*poredi(x%10,y%10,&k);
        if(k==2)i=i*10;
    }
    int m=max(x,y);
    n=n+m*i;


    printf("%d",n);

    return 0;
}